import { OnInit, EventEmitter } from '@angular/core';
export declare class ListSidebarComponent implements OnInit {
    /**
    * Current Preview Layout
    */
    currentPreviewLayout: string;
    /**
     * Font Familty options constant
     */
    fontFamilyOptions: any;
    meta_data: {
        innerHtml: string;
        margin_top: number;
        margin_bottom: number;
        line_height: number;
        mobile_line_height: number;
        focused: boolean;
        label: string;
        key: string;
        type: string;
    };
    showBackFor: string;
    model: {
        focused: boolean;
        type: string;
        meta_data: any;
    };
    onSidebarBackClick: EventEmitter<any>;
    callParentContainer: EventEmitter<any>;
    topMarginWebMobileBind: boolean;
    fontSizeWebMobileBind: boolean;
    lineHeightWebMobileBind: boolean;
    constructor();
    /**
     * NgOnint hook
     */
    ngOnInit(): void;
    /**
    * Get the current value of Preview Layout style
    */
    ngDoCheck(): void;
    sidebarBack(type?: string): void;
    changeColorPicker(event?: any): void;
    isUndefined(val?: any): boolean;
    callElementContainer(data: any): void;
}
